Search the Community
Showing results for tags 'snap ssget'.
-
Rounding of 4 polylines according to the criteria: - radii from inside 420 , 560, 588 , 728 - if the outer polyline becomes the inner then round 728,588 ,560, 420 The point is to detect with 4 polylines are next to each other, determine which is internal and which is external. Then for each polyline round the hatches alternately according to the above criteria. Also i am looking for a way to sort polylines according to selection cords. Right now if i select every polylines clicking one by one its fillet according to selection but if i try to snap selection then its all messed up its going like 1-1 , 2-3 ,3 -4 , 4-2 (defun c:changefillet () (setq ss (ssget '((0 . "LWPOLYLINE")))) (setq num (sslength ss)) (if (= num 4) (progn (setq pl1 (ssname ss 0)) (setq pl2 (ssname ss 1)) (setq pl3 (ssname ss 2)) (setq pl4 (ssname ss 3)) (progn ;lewo (setvar "FILLETRAD" 420) (command "_.fillet" "_polyline" pl1) (setvar "FILLETRAD" 560) (command "_.fillet" "_polyline" pl2) (setvar "FILLETRAD" 588) (command "_.fillet" "_polyline" pl3) (setvar "FILLETRAD" 728) (command "_.fillet" "_polyline" pl4) ) ) ) (princ) ) Rn its look like that: And i want to acheve this: